SealRoute Docs
  • Get Started
  • API Reference
  • SDKs
  • Guides
  • Webhooks
Information
Submissions
    List all submissionsgetCreate a submissionpostGet a submissiongetArchive a submissiondeleteGet submission documentsgetCreate submissions from emailspostCreate a submission from PDFpostCreate a submission from DOCXpostCreate a submission from HTMLpost
Submitters
    Get a submittergetUpdate a submitterputList all submittersget
Templates
    List all templatesgetGet a templategetUpdate a templateputArchive a templatedeleteUpdate template documentsputClone a templatepostCreate a template from HTMLpostCreate a template from Word DOCXpostCreate a template from PDFpostMerge templatespost
powered by Zudoku
SealRoute API
SealRoute API

Submissions

Signature requests can be initiated with Submissions API. Submissions can contain one submitter if signed by a single party or multiple submitters if the document template form contains signatures and fields to be collected and filled by multiple parties. Initiate new submissions to request signatures for specified submitters via email or phone number.


List all submissions

GET
https://sealroute.com
/submissions

The API endpoint provides the ability to retrieve a list of available submissions.

List all submissions › query Parameters

template_id
​integer

The template ID allows you to receive only the submissions created from that specific template.

status
​string · enum

Filter submissions by status.

Enum values:
pending
completed
declined
expired
q
​string

Filter submissions based on submitters name, email or phone partial match.

slug
​string

Filter submissions by unique slug.

template_folder
​string

Filter submissions by template folder name.

archived
​boolean

Returns only archived submissions when true and only active submissions when false.

limit
​integer

The number of submissions to return. Default value is 10. Maximum value is 100.

after
​integer

The unique identifier of the submission to start the list from. It allows you to receive only submissions with an ID greater than the specified value. Pass ID value from the pagination.next response to load the next batch of submissions.

before
​integer

The unique identifier of the submission that marks the end of the list. It allows you to receive only submissions with an ID less than the specified value.

List all submissions › Responses

200

OK

​object[] · required
​object · required
GET/submissions
curl --request GET \ --url https://sealroute.com/submissions
shell
Example Responses
{ "data": [ { "id": 1, "name": null, "source": "link", "submitters_order": "random", "slug": "VyL4szTwYoSvXq", "status": "completed", "audit_log_url": "https://sealroute.com/file/hash/example.pdf", "combined_document_url": null, "expire_at": null, "completed_at": "2023-12-10T15:49:21.895Z", "created_at": "2023-12-10T15:48:17.166Z", "updated_at": "2023-12-10T15:49:21.895Z", "archived_at": null, "submitters": [ { "id": 1, "submission_id": 1, "uuid": "0954d146-db8c-4772-aafe-2effc7c0e0c0", "email": "submitter@example.com", "slug": "dsEeWrhRD8yDXT", "sent_at": "2023-12-14T15:45:49.011Z", "opened_at": "2023-12-14T15:48:23.011Z", "completed_at": "2023-12-14T15:49:21.701Z", "declined_at": null, "created_at": "2023-12-10T15:48:17.173Z", "updated_at": "2023-12-14T15:50:21.799Z", "name": "John Doe", "phone": "+1234567890", "status": "completed", "role": "First Party", "metadata": {}, "preferences": {} } ], "template": { "id": 1, "name": "Example Template", "external_id": "Temp123", "folder_name": "Default", "created_at": "2023-12-14T15:50:21.799Z", "updated_at": "2023-12-14T15:50:21.799Z" }, "created_by_user": { "id": 1, "first_name": "Bob", "last_name": "Smith", "email": "bob.smith@example.com" } } ], "pagination": { "count": 1, "next": 1, "prev": 1 } }
json
application/json

Create a submission

POST
https://sealroute.com
/submissions

This API endpoint allows you to create signature requests (submissions) for a document template and send them to the specified submitters (signers).
Related Guides
Send documents for signature via API
Pre-fill PDF document form fields with API

Create a submission › Request Body

template_id
​integer · required

The unique identifier of the template. Document template forms can be created via the Web UI, PDF and DOCX API, or HTML API.

Example: 1000001
​object[] · required

The list of submitters for the submission.

send_email
​boolean

Set false to disable signature request emails sending.

Default: true
send_sms
​boolean

Set true to send signature request via phone number and SMS.

Default: false
order
​string · enum

Pass 'random' to send signature request emails to all parties right away. The order is 'preserved' by default so the second party will receive a signature request email only after the document is signed by the first party.

Enum values:
preserved
random
Default: preserved
completed_redirect_url
​string

Specify URL to redirect to after the submission completion.

bcc_completed
​string

Specify BCC address to send signed documents to after the completion.

reply_to
​string

Specify Reply-To address to use in the notification emails.

expire_at
​string

Specify the expiration date and time after which the submission becomes unavailable for signature.

Example: 2024-09-01 12:00:00 UTC
​object

Create a submission › Responses

200

OK

​object[]
id
​integer · required

Submitter unique ID number.

submission_id
​integer · required

Submission UUID.

uuid
​string · required

Submitter UUID.

email
​string | null · required

The email address of the submitter.

slug
​string · required

Unique key to be used in the signing form URL.

status
​string · enum · required

The status of signing request for the submitter.

Enum values:
completed
declined
opened
sent
awaiting
​object[] · required

An array of pre-filled values for the submission.

metadata
​object · required
sent_at
​string | null · required

The date and time when the signing request was sent to the submitter.

opened_at
​string | null · required

The date and time when the submitter opened the signing form.

completed_at
​string | null · required

The date and time when the submitter completed the signing form.

declined_at
​string | null · required

The date and time when the submitter declined the signing form.

created_at
​string · required

The date and time when the submitter was created.

updated_at
​string · required

The date and time when the submitter was last updated.

name
​string | null · required

The name of the submitter.

phone
​string | null · required

The phone number of the submitter.

external_id
​string | null · required

Your application-specific unique string key to identify this submitter within your app.

​object · required
role
​string · required

The role of the submitter in the signing process.

embed_src
​string · required

The src URL value to embed the signing form or sign via a link.

POST/submissions
curl --request POST \ --url https://sealroute.com/submissions \ --header 'Content-Type: application/json' \ --data ' { "template_id": 1000001, "send_email": true, "send_sms": false, "order": "preserved", "completed_redirect_url": "completed_redirect_url", "bcc_completed": "bcc_completed", "reply_to": "reply_to", "expire_at": "2024-09-01 12:00:00 UTC", "message": { "subject": "subject", "body": "body" }, "submitters": [ { "name": "name", "role": "First Party", "email": "john.doe@example.com", "phone": "+1234567890", "values": {}, "external_id": "external_id", "completed": true, "metadata": "{ \"customField\": \"value\" }", "send_email": true, "send_sms": false, "reply_to": "reply_to", "completed_redirect_url": "completed_redirect_url", "logo_url": "https://example.com/logo.png", "company_name": "Acme Inc.", "stamp_url": "https://example.com/stamp.png", "order": 0, "require_phone_2fa": false, "require_email_2fa": false, "message": { "subject": "subject", "body": "body" }, "fields": [ { "name": "First Name", "default_value": "Acme", "readonly": false, "required": true, "title": "title", "description": "description", "validation": { "pattern": "[A-Z]{4}", "message": "message", "min": 0, "max": 0, "step": 0 }, "preferences": { "font_size": 12, "font_type": "bold", "font": "Times", "color": "black", "background": "black", "align": "left", "valign": "center", "format": "DD/MM/YYYY", "price": 99.99, "currency": "USD", "mask": false, "reasons": [ "string" ] } } ], "roles": [ "string" ] } ] } '
shell
Example Request Body
{ "template_id": 1000001, "send_email": true, "send_sms": false, "order": "preserved", "completed_redirect_url": "completed_redirect_url", "bcc_completed": "bcc_completed", "reply_to": "reply_to", "expire_at": "2024-09-01 12:00:00 UTC", "message": { "subject": "subject", "body": "body" }, "submitters": [ { "name": "name", "role": "First Party", "email": "john.doe@example.com", "phone": "+1234567890", "values": {}, "external_id": "external_id", "completed": true, "metadata": "{ \"customField\": \"value\" }", "send_email": true, "send_sms": false, "reply_to": "reply_to", "completed_redirect_url": "completed_redirect_url", "logo_url": "https://example.com/logo.png", "company_name": "Acme Inc.", "stamp_url": "https://example.com/stamp.png", "order": 0, "require_phone_2fa": false, "require_email_2fa": false, "message": { "subject": "subject", "body": "body" }, "fields": [ { "name": "First Name", "default_value": "Acme", "readonly": false, "required": true, "title": "title", "description": "description", "validation": { "pattern": "[A-Z]{4}", "message": "message", "min": 0, "max": 0, "step": 0 }, "preferences": { "font_size": 12, "font_type": "bold", "font": "Times", "color": "black", "background": "black", "align": "left", "valign": "center", "format": "DD/MM/YYYY", "price": 99.99, "currency": "USD", "mask": false, "reasons": [ "string" ] } } ], "roles": [ "string" ] } ] }
json
Example Responses
[ { "id": 1, "submission_id": 1, "uuid": "884d545b-3396-49f1-8c07-05b8b2a78755", "email": "john.doe@example.com", "slug": "pAMimKcyrLjqVt", "sent_at": "2023-12-13T23:04:04.252Z", "opened_at": null, "completed_at": null, "declined_at": null, "created_at": "2023-12-14T15:50:21.799Z", "updated_at": "2023-12-14T15:50:21.799Z", "name": "string", "phone": "+1234567890", "external_id": "2321", "metadata": { "customData": "custom value" }, "status": "sent", "values": [ { "field": "Full Name", "value": "John Doe" } ], "preferences": { "send_email": true, "send_sms": false }, "role": "First Party", "embed_src": "https://sealroute.com/s/pAMimKcyrLjqVt" } ]
json
application/json

Get a submission

GET
https://sealroute.com
/submissions/{id}

The API endpoint provides the functionality to retrieve information about a submission.

Get a submission › path Parameters

id
​integer · required

The unique identifier of the submission.

Get a submission › Responses

200

OK

id
​integer · required

Submission unique ID number.

slug
​string · required

Unique slug of the submission.

source
​string · enum · required

The source of the submission.

Enum values:
invite
bulk
api
embed
link
submitters_order
​string · enum · required

The order of submitters.

Enum values:
random
preserved
audit_log_url
​string | null · required

Audit log file URL.

combined_document_url
​string | null · required

Combined PDF file URL with documents and Audit Log.

created_at
​string · required

The date and time when the submission was created.

updated_at
​string · required

The date and time when the submission was last updated.

archived_at
​string | null · required

The date and time when the submission was archived.

​object[] · required

The list of submitters.

created_by_user
​object | null · required
​object[] · required
​object[] · required

An array of completed or signed documents of the submission.

status
​string · enum · required

The status of the submission.

Enum values:
completed
declined
expired
pending
metadata
​object · required

Object with custom metadata.

completed_at
​string | null · required

The date and time when the submission was fully completed.

name
​string

Name of the document submission

Example: Test Submission Document
​object
GET/submissions/{id}
curl --request GET \ --url https://sealroute.com/submissions/:id
shell
Example Responses
{ "id": 1, "name": null, "source": "link", "submitters_order": "random", "slug": "VyL4szTwYoSvXq", "audit_log_url": "https://sealroute.com/blobs/proxy/hash/example.pdf", "combined_document_url": null, "completed_at": "2023-12-14T15:49:21.701Z", "expire_at": null, "created_at": "2023-12-10T15:48:17.166Z", "updated_at": "2023-12-10T15:49:21.895Z", "archived_at": null, "submitters": [ { "id": 1, "submission_id": 1, "uuid": "0954d146-db8c-4772-aafe-2effc7c0e0c0", "email": "submitter@example.com", "slug": "dsEeWrhRD8yDXT", "sent_at": "2023-12-14T15:45:49.011Z", "opened_at": "2023-12-14T15:48:23.011Z", "completed_at": "2023-12-14T15:49:21.701Z", "declined_at": null, "created_at": "2023-12-14T15:48:17.173Z", "updated_at": "2023-12-14T15:50:21.799Z", "name": "John Doe", "phone": "+1234567890", "external_id": null, "status": "completed", "metadata": {}, "values": [ { "field": "Full Name", "value": "John Doe" } ], "documents": [ { "name": "example", "url": "https://sealroute.com/blobs/proxy/hash/example.pdf" } ], "role": "First Party" } ], "template": { "id": 1, "name": "Example Template", "external_id": "Temp123", "folder_name": "Default", "created_at": "2023-12-14T15:50:21.799Z", "updated_at": "2023-12-14T15:50:21.799Z" }, "created_by_user": { "id": 1, "first_name": "Bob", "last_name": "Smith", "email": "bob.smith@example.com" }, "submission_events": [ { "id": 1, "submitter_id": 2, "event_type": "view_form", "event_timestamp": "2023-12-14T15:47:24.566Z", "data": {} } ], "documents": [ { "name": "example", "url": "https://sealroute.com/file/hash/example.pdf" } ], "status": "completed" }
json
application/json

Archive a submission

DELETE
https://sealroute.com
/submissions/{id}

The API endpoint allows you to archive a submission.

Archive a submission › path Parameters

id
​integer · required

The unique identifier of the submission.

Archive a submission › Responses

200

OK

id
​integer · required

Submission unique ID number.

archived_at
​string | null · required

Date and time when the submission was archived.

DELETE/submissions/{id}
curl --request DELETE \ --url https://sealroute.com/submissions/:id
shell
Example Responses
{ "id": 1, "archived_at": "2023-12-14T15:50:21.799Z" }
json
application/json

Get submission documents

GET
https://sealroute.com
/submissions/{id}/documents

This endpoint returns a list of partially filled documents for a submission. If the submission has been completed, the final signed documents are returned.

Get submission documents › path Parameters

id
​integer · required

The unique identifier of the submission.

Get submission documents › Responses

200

OK

id
​integer · required

Submission unique ID number.

​object[] · required
GET/submissions/{id}/documents
curl --request GET \ --url https://sealroute.com/submissions/:id/documents
shell
Example Responses
{ "id": 1, "documents": [ { "name": "example", "url": "https://sealroute.com/file/hash/example.pdf" } ] }
json
application/json

Create submissions from emails

POST
https://sealroute.com
/submissions/emails

This API endpoint allows you to create submissions for a document template and send them to the specified email addresses. This is a simplified version of the POST /submissions API to be used with Zapier or other automation tools.

Create submissions from emails › Request Body

template_id
​integer · required

The unique identifier of the template.

Example: 1000001
emails
​string · required

A comma-separated list of email addresses to send the submission to.

Example: {{emails}}
send_email
​boolean

Set false to disable signature request emails sending.

Default: true
​object

Create submissions from emails › Responses

200

OK

​object[]
id
​integer · required

Submitter unique ID number.

submission_id
​integer · required

Submission UUID.

uuid
​string · required

Submitter UUID.

email
​string | null · required

The email address of the submitter.

slug
​string · required

Unique key to be used in the signing form URL.

status
​string · enum · required

The status of signing request for the submitter.

Enum values:
completed
declined
opened
sent
awaiting
​object[] · required

An array of pre-filled values for the submission.

metadata
​object · required
sent_at
​string | null · required

The date and time when the signing request was sent to the submitter.

opened_at
​string | null · required

The date and time when the submitter opened the signing form.

completed_at
​string | null · required

The date and time when the submitter completed the signing form.

declined_at
​string | null · required

The date and time when the submitter declined the signing form.

created_at
​string · required

The date and time when the submitter was created.

updated_at
​string · required

The date and time when the submitter was last updated.

name
​string | null · required

The name of the submitter.

phone
​string | null · required

The phone number of the submitter.

external_id
​string | null · required

Your application-specific unique string key to identify this submitter within your app.

​object · required
role
​string · required

The role of the submitter in the signing process.

embed_src
​string · required

The src URL value to embed the signing form or sign via a link.

POST/submissions/emails
curl --request POST \ --url https://sealroute.com/submissions/emails \ --header 'Content-Type: application/json' \ --data ' { "template_id": 1000001, "emails": "{{emails}}", "send_email": true, "message": { "subject": "subject", "body": "body" } } '
shell
Example Request Body
{ "template_id": 1000001, "emails": "{{emails}}", "send_email": true, "message": { "subject": "subject", "body": "body" } }
json
Example Responses
[ { "id": 1, "submission_id": 1, "uuid": "884d545b-3396-49f1-8c07-05b8b2a78755", "email": "john.doe@example.com", "slug": "pAMimKcyrLjqVt", "sent_at": "2023-12-13T23:04:04.252Z", "opened_at": null, "completed_at": null, "declined_at": null, "created_at": "2023-12-14T15:50:21.799Z", "updated_at": "2023-12-14T15:50:21.799Z", "name": "string", "phone": "+1234567890", "external_id": "2321", "metadata": { "customData": "custom value" }, "status": "sent", "values": [ { "field": "Full Name", "value": "John Doe" } ], "preferences": { "send_email": true, "send_sms": false }, "role": "First Party", "embed_src": "https://sealroute.com/s/pAMimKcyrLjqVt" }, { "id": 2, "submission_id": 1, "uuid": "884d545b-3396-49f1-8c07-05b8b2a78755", "email": "alan.smith@example.com", "slug": "SEwc65vHNDH3QS", "sent_at": "2023-12-13T23:04:04.252Z", "opened_at": null, "completed_at": null, "declined_at": null, "created_at": "2023-12-14T15:50:21.799Z", "updated_at": "2023-12-14T15:50:21.799Z", "name": "string", "phone": "+1234567890", "external_id": "2321", "metadata": { "customData": "custom value" }, "status": "sent", "values": [ { "field": "Full Name", "value": "Roe Moe" } ], "preferences": { "send_email": true, "send_sms": false }, "role": "First Party", "embed_src": "SEwc65vHNDH3QS" } ]
json
application/json

Create a submission from PDF

POST
https://sealroute.com
/submissions/pdf

The API endpoint provides the functionality to create one-off submission request from a PDF. Use {{Field Name;role=Signer1;type=date}} text tags to define fillable fields in the document. See https://www.sealroute.com/examples/fieldtags.pdf for more text tag formats. Or specify the exact pixel coordinates of the document fields using fields param.
Related Guides
Use embedded text field tags to create a fillable form

Create a submission from PDF › Request Body

​object[] · required
​object[] · required

The list of submitters for the submission.

name
​string

Name of the document submission.

Example: Test Submission Document
send_email
​boolean

Set false to disable signature request emails sending.

Default: true
send_sms
​boolean

Set true to send signature request via phone number and SMS.

Default: false
order
​string · enum

Pass 'random' to send signature request emails to all parties right away. The order is 'preserved' by default so the second party will receive a signature request email only after the document is signed by the first party.

Enum values:
preserved
random
Default: preserved
completed_redirect_url
​string

Specify URL to redirect to after the submission completion.

bcc_completed
​string

Specify BCC address to send signed documents to after the completion.

reply_to
​string

Specify Reply-To address to use in the notification emails.

expire_at
​string

Specify the expiration date and time after which the submission becomes unavailable for signature.

Example: 2024-09-01 12:00:00 UTC
template_ids
​integer[]

An optional array of template IDs to use in the submission along with the provided documents. This can be used to create multi-document submissions when some of the required documents exist within templates.

​object
flatten
​boolean

Remove PDF form fields from the documents.

Default: false
merge_documents
​boolean

Set true to merge the documents into a single PDF file.

Default: false
remove_tags
​boolean

Pass false to disable the removal of {{text}} tags from the PDF. This can be used along with transparent text tags for faster and more robust PDF processing.

Default: true

Create a submission from PDF › Responses

200

OK

id
​integer · required

Submission unique ID number.

​object[] · required

The list of submitters.

source
​string · enum · required

The source of the submission.

Enum values:
invite
bulk
api
embed
link
submitters_order
​string · enum · required

The order of submitters.

Enum values:
random
preserved
status
​string · enum · required

The status of the submission.

Enum values:
completed
declined
expired
pending
expire_at
​string · required

Specify the expiration date and time after which the submission becomes unavailable for signature.

Example: 2024-09-01 12:00:00 UTC
created_at
​string · required

The date and time when the submission was created.

name
​string

Submission name.

​object[]

The one-off submission document files.

​object[]

List of fields to be filled in the one-off submission.

POST/submissions/pdf
curl --request POST \ --url https://sealroute.com/submissions/pdf \ --header 'Content-Type: application/json' \ --data ' { "name": "Test Submission Document", "send_email": true, "send_sms": false, "order": "preserved", "completed_redirect_url": "completed_redirect_url", "bcc_completed": "bcc_completed", "reply_to": "reply_to", "expire_at": "2024-09-01 12:00:00 UTC", "template_ids": [ 0 ], "documents": [ { "name": "name", "file": "base64", "fields": [ { "name": "name", "type": "heading", "role": "role", "required": true, "title": "title", "description": "description", "areas": [ { "x": 0, "y": 0, "w": 0, "h": 0, "page": 1, "option": "option" } ], "options": [ "Option A", "Option B" ] } ], "position": 0 } ], "submitters": [ { "name": "name", "role": "First Party", "email": "john.doe@example.com", "phone": "+1234567890", "values": {}, "external_id": "external_id", "completed": true, "metadata": "{ \"customField\": \"value\" }", "send_email": true, "send_sms": false, "reply_to": "reply_to", "completed_redirect_url": "completed_redirect_url", "logo_url": "https://example.com/logo.png", "company_name": "Acme Inc.", "stamp_url": "https://example.com/stamp.png", "order": 0, "require_phone_2fa": false, "require_email_2fa": false, "invite_by": "invite_by", "fields": [ { "name": "First Name", "default_value": "Acme", "readonly": false, "required": true, "title": "title", "description": "description", "validation": { "pattern": "[A-Z]{4}", "message": "message", "min": 0, "max": 0, "step": 0 }, "preferences": { "font_size": 12, "font_type": "bold", "font": "Times", "color": "black", "background": "black", "align": "left", "valign": "center", "format": "DD/MM/YYYY", "price": 99.99, "currency": "USD", "mask": false, "reasons": [ "string" ] } } ], "roles": [ "string" ] } ], "message": { "subject": "subject", "body": "body" }, "flatten": false, "merge_documents": false, "remove_tags": true } '
shell
Example Request Body
{ "name": "Test Submission Document", "send_email": true, "send_sms": false, "order": "preserved", "completed_redirect_url": "completed_redirect_url", "bcc_completed": "bcc_completed", "reply_to": "reply_to", "expire_at": "2024-09-01 12:00:00 UTC", "template_ids": [ 0 ], "documents": [ { "name": "name", "file": "base64", "fields": [ { "name": "name", "type": "heading", "role": "role", "required": true, "title": "title", "description": "description", "areas": [ { "x": 0, "y": 0, "w": 0, "h": 0, "page": 1, "option": "option" } ], "options": [ "Option A", "Option B" ] } ], "position": 0 } ], "submitters": [ { "name": "name", "role": "First Party", "email": "john.doe@example.com", "phone": "+1234567890", "values": {}, "external_id": "external_id", "completed": true, "metadata": "{ \"customField\": \"value\" }", "send_email": true, "send_sms": false, "reply_to": "reply_to", "completed_redirect_url": "completed_redirect_url", "logo_url": "https://example.com/logo.png", "company_name": "Acme Inc.", "stamp_url": "https://example.com/stamp.png", "order": 0, "require_phone_2fa": false, "require_email_2fa": false, "invite_by": "invite_by", "fields": [ { "name": "First Name", "default_value": "Acme", "readonly": false, "required": true, "title": "title", "description": "description", "validation": { "pattern": "[A-Z]{4}", "message": "message", "min": 0, "max": 0, "step": 0 }, "preferences": { "font_size": 12, "font_type": "bold", "font": "Times", "color": "black", "background": "black", "align": "left", "valign": "center", "format": "DD/MM/YYYY", "price": 99.99, "currency": "USD", "mask": false, "reasons": [ "string" ] } } ], "roles": [ "string" ] } ], "message": { "subject": "subject", "body": "body" }, "flatten": false, "merge_documents": false, "remove_tags": true }
json
Example Responses
{ "id": 5, "name": "Test Submission", "submitters": [ { "id": 1, "uuid": "884d545b-3396-49f1-8c07-05b8b2a78755", "email": "john.doe@example.com", "slug": "pAMimKcyrLjqVt", "sent_at": "2025-06-02T15:55:51.310Z", "opened_at": null, "completed_at": null, "declined_at": null, "created_at": "2025-06-02T15:55:50.320Z", "updated_at": "2025-06-02T15:55:50.320Z", "name": "string", "phone": "+1234567890", "external_id": "2321", "metadata": { "customData": "custom value" }, "status": "sent", "values": [ { "field": "Full Name", "value": "John Doe" } ], "preferences": { "send_email": true, "send_sms": false, "reply_to": "reply@example.com", "completed_redirect_url": "https://example.com/" }, "role": "First Party", "embed_src": "https://sealroute.com/s/pAMimKcyrLjqVt" } ], "source": "api", "submitters_order": "preserved", "status": "pending", "schema": [ { "name": "Demo PDF", "attachment_uuid": "48d2998f-266b-47e4-beb2-250ab7ccebdf" } ], "fields": [ { "name": "Name", "type": "text", "required": true, "uuid": "d0bf3c0c-1928-40c8-80f9-d9f3c6ad4eff", "submitter_uuid": "0b0bff58-bc9a-475d-b4a9-2f3e5323faf7", "areas": [ { "page": 1, "attachment_uuid": "48d2998f-266b-47e4-beb2-250ab7ccebdf", "x": 0.403158189124654, "y": 0.04211750189825361, "w": 0.100684625476058, "h": 0.01423690205011389 } ] } ], "expire_at": null, "created_at": "2025-06-02T15:55:50.270Z" }
json
application/json

Create a submission from DOCX

POST
https://sealroute.com
/submissions/docx

The API endpoint provides functionality to create a one-off submission request from a DOCX file with dynamic content variables. Use [[variable_name]] text tags to define dynamic content variables in the document. See https://www.sealroute.com/examples/demo_template.docx for the specific text variable syntax, including dynamic content tables and list. You can also use the {{signature}} field syntax to define fillable fields, as in a PDF.
Related Guides
Use dynamic content variables in DOCX to create personalized documents

Create a submission from DOCX › Request Body

​object[] · required
​object[] · required

The list of submitters for the submission.

name
​string

Name of the document submission.

Example: Test Submission Document
send_email
​boolean

Set false to disable signature request emails sending.

Default: true
send_sms
​boolean

Set true to send signature request via phone number and SMS.

Default: false
variables
​object

Dynamic content variables object. Variable values can be strings, numbers, arrays, objects, or HTML content used to generate styled text, paragraphs, and tables in DOCX.

Example: {"variable_name":"value"}
order
​string · enum

Pass 'random' to send signature request emails to all parties right away. The order is 'preserved' by default so the second party will receive a signature request email only after the document is signed by the first party.

Enum values:
preserved
random
Default: preserved
completed_redirect_url
​string

Specify URL to redirect to after the submission completion.

bcc_completed
​string

Specify BCC address to send signed documents to after the completion.

reply_to
​string

Specify Reply-To address to use in the notification emails.

expire_at
​string

Specify the expiration date and time after which the submission becomes unavailable for signature.

Example: 2024-09-01 12:00:00 UTC
template_ids
​integer[]

An optional array of template IDs to use in the submission along with the provided documents. This can be used to create multi-document submissions when some of the required documents exist within templates.

​object
merge_documents
​boolean

Set true to merge the documents into a single PDF file.

Default: false
remove_tags
​boolean

Pass false to disable the removal of {{text}} tags from the PDF. This can be used along with transparent text tags for faster and more robust PDF processing.

Default: true

Create a submission from DOCX › Responses

200

OK

id
​integer · required

Submission unique ID number.

​object[] · required

The list of submitters.

source
​string · enum · required

The source of the submission.

Enum values:
invite
bulk
api
embed
link
submitters_order
​string · enum · required

The order of submitters.

Enum values:
random
preserved
status
​string · enum · required

The status of the submission.

Enum values:
completed
declined
expired
pending
expire_at
​string · required

Specify the expiration date and time after which the submission becomes unavailable for signature.

Example: 2024-09-01 12:00:00 UTC
created_at
​string · required

The date and time when the submission was created.

name
​string

Submission name.

​object[]

The one-off submission document files.

​object[]

List of fields to be filled in the one-off submission.

POST/submissions/docx
curl --request POST \ --url https://sealroute.com/submissions/docx \ --header 'Content-Type: application/json' \ --data ' { "name": "Test Submission Document", "send_email": true, "send_sms": false, "variables": { "variable_name": "value" }, "order": "preserved", "completed_redirect_url": "completed_redirect_url", "bcc_completed": "bcc_completed", "reply_to": "reply_to", "expire_at": "2024-09-01 12:00:00 UTC", "template_ids": [ 0 ], "documents": [ { "name": "name", "file": "base64", "position": 0 } ], "submitters": [ { "name": "name", "role": "First Party", "email": "john.doe@example.com", "phone": "+1234567890", "values": {}, "external_id": "external_id", "completed": true, "metadata": "{ \"customField\": \"value\" }", "send_email": true, "send_sms": false, "reply_to": "reply_to", "completed_redirect_url": "completed_redirect_url", "logo_url": "https://example.com/logo.png", "company_name": "Acme Inc.", "stamp_url": "https://example.com/stamp.png", "order": 0, "require_phone_2fa": false, "require_email_2fa": false, "invite_by": "invite_by", "fields": [ { "name": "First Name", "default_value": "Acme", "readonly": false, "required": true, "title": "title", "description": "description", "validation": { "pattern": "[A-Z]{4}", "message": "message", "min": 0, "max": 0, "step": 0 }, "preferences": { "font_size": 12, "font_type": "bold", "font": "Times", "color": "black", "background": "black", "align": "left", "valign": "center", "format": "DD/MM/YYYY", "price": 99.99, "currency": "USD", "mask": false, "reasons": [ "string" ] } } ], "roles": [ "string" ] } ], "message": { "subject": "subject", "body": "body" }, "merge_documents": false, "remove_tags": true } '
shell
Example Request Body
{ "name": "Test Submission Document", "send_email": true, "send_sms": false, "variables": { "variable_name": "value" }, "order": "preserved", "completed_redirect_url": "completed_redirect_url", "bcc_completed": "bcc_completed", "reply_to": "reply_to", "expire_at": "2024-09-01 12:00:00 UTC", "template_ids": [ 0 ], "documents": [ { "name": "name", "file": "base64", "position": 0 } ], "submitters": [ { "name": "name", "role": "First Party", "email": "john.doe@example.com", "phone": "+1234567890", "values": {}, "external_id": "external_id", "completed": true, "metadata": "{ \"customField\": \"value\" }", "send_email": true, "send_sms": false, "reply_to": "reply_to", "completed_redirect_url": "completed_redirect_url", "logo_url": "https://example.com/logo.png", "company_name": "Acme Inc.", "stamp_url": "https://example.com/stamp.png", "order": 0, "require_phone_2fa": false, "require_email_2fa": false, "invite_by": "invite_by", "fields": [ { "name": "First Name", "default_value": "Acme", "readonly": false, "required": true, "title": "title", "description": "description", "validation": { "pattern": "[A-Z]{4}", "message": "message", "min": 0, "max": 0, "step": 0 }, "preferences": { "font_size": 12, "font_type": "bold", "font": "Times", "color": "black", "background": "black", "align": "left", "valign": "center", "format": "DD/MM/YYYY", "price": 99.99, "currency": "USD", "mask": false, "reasons": [ "string" ] } } ], "roles": [ "string" ] } ], "message": { "subject": "subject", "body": "body" }, "merge_documents": false, "remove_tags": true }
json
Example Responses
{ "id": 5, "name": "Test Submission", "submitters": [ { "id": 1, "uuid": "884d545b-3396-49f1-8c07-05b8b2a78755", "email": "john.doe@example.com", "slug": "pAMimKcyrLjqVt", "sent_at": "2025-06-02T15:55:51.310Z", "opened_at": null, "completed_at": null, "declined_at": null, "created_at": "2025-06-02T15:55:50.320Z", "updated_at": "2025-06-02T15:55:50.320Z", "name": "string", "phone": "+1234567890", "external_id": "2321", "metadata": { "customData": "custom value" }, "status": "sent", "values": [ { "field": "Full Name", "value": "John Doe" } ], "preferences": { "send_email": true, "send_sms": false, "reply_to": "reply@example.com", "completed_redirect_url": "https://example.com/" }, "role": "First Party", "embed_src": "https://sealroute.com/s/pAMimKcyrLjqVt" } ], "source": "api", "submitters_order": "preserved", "status": "pending", "schema": [ { "name": "Demo PDF", "attachment_uuid": "48d2998f-266b-47e4-beb2-250ab7ccebdf" } ], "fields": [ { "name": "Name", "type": "text", "required": true, "uuid": "d0bf3c0c-1928-40c8-80f9-d9f3c6ad4eff", "submitter_uuid": "0b0bff58-bc9a-475d-b4a9-2f3e5323faf7", "areas": [ { "page": 1, "attachment_uuid": "48d2998f-266b-47e4-beb2-250ab7ccebdf", "x": 0.403158189124654, "y": 0.04211750189825361, "w": 0.100684625476058, "h": 0.01423690205011389 } ] } ], "expire_at": null, "created_at": "2025-06-02T15:55:50.270Z" }
json
application/json

Create a submission from HTML

POST
https://sealroute.com
/submissions/html

This API endpoint allows you to create a one-off submission request document using the provided HTML content, with special field tags rendered as a fillable and signable form.
Related Guides
Create PDF document fillable form with HTML

Create a submission from HTML › Request Body

​object[] · required

The list of documents built from HTML. Can be used to create a submission with multiple documents.

​object[] · required

The list of submitters for the submission.

name
​string

Name of the document submission

Example: Test Submission Document
send_email
​boolean

Set false to disable signature request emails sending.

Default: true
send_sms
​boolean

Set true to send signature request via phone number and SMS.

Default: false
order
​string · enum

Pass 'random' to send signature request emails to all parties right away. The order is 'preserved' by default so the second party will receive a signature request email only after the document is signed by the first party.

Enum values:
preserved
random
Default: preserved
completed_redirect_url
​string

Specify URL to redirect to after the submission completion.

bcc_completed
​string

Specify BCC address to send signed documents to after the completion.

reply_to
​string

Specify Reply-To address to use in the notification emails.

expire_at
​string

Specify the expiration date and time after which the submission becomes unavailable for signature.

Example: 2024-09-01 12:00:00 UTC
template_ids
​integer[]

An optional array of template IDs to use in the submission along with the provided documents. This can be used to create multi-document submissions when some of the required documents exist within templates.

​object
merge_documents
​boolean

Set true to merge the documents into a single PDF file.

Default: false

Create a submission from HTML › Responses

200

OK

id
​integer · required

Submission unique ID number.

​object[] · required

The list of submitters.

source
​string · enum · required

The source of the submission.

Enum values:
invite
bulk
api
embed
link
submitters_order
​string · enum · required

The order of submitters.

Enum values:
random
preserved
status
​string · enum · required

The status of the submission.

Enum values:
completed
declined
expired
pending
expire_at
​string · required

Specify the expiration date and time after which the submission becomes unavailable for signature.

Example: 2024-09-01 12:00:00 UTC
created_at
​string · required

The date and time when the submission was created.

name
​string

Submission name.

​object[]

The one-off submission document files.

​object[]

List of fields to be filled in the one-off submission.

POST/submissions/html
curl --request POST \ --url https://sealroute.com/submissions/html \ --header 'Content-Type: application/json' \ --data ' { "name": "Test Submission Document", "send_email": true, "send_sms": false, "order": "preserved", "completed_redirect_url": "completed_redirect_url", "bcc_completed": "bcc_completed", "reply_to": "reply_to", "expire_at": "2024-09-01 12:00:00 UTC", "template_ids": [ 0 ], "documents": [ { "name": "Test Document", "html": "<p>Lorem Ipsum is simply dummy text of the\n<text-field\n name=\"Industry\"\n role=\"First Party\"\n required=\"false\"\n style=\"width: 80px; height: 16px; display: inline-block; margin-bottom: -4px\">\n</text-field>\nand typesetting industry</p>\n", "html_header": "html_header", "html_footer": "html_footer", "size": "Letter", "position": 0 } ], "submitters": [ { "name": "name", "role": "First Party", "email": "john.doe@example.com", "phone": "+1234567890", "values": {}, "external_id": "external_id", "completed": true, "metadata": "{ \"customField\": \"value\" }", "send_email": true, "send_sms": false, "reply_to": "reply_to", "completed_redirect_url": "completed_redirect_url", "logo_url": "https://example.com/logo.png", "company_name": "Acme Inc.", "stamp_url": "https://example.com/stamp.png", "order": 0, "require_phone_2fa": false, "require_email_2fa": false, "invite_by": "invite_by", "fields": [ { "name": "First Name", "default_value": "Acme", "readonly": false, "required": true, "title": "title", "description": "description", "validation": { "pattern": "[A-Z]{4}", "message": "message", "min": 0, "max": 0, "step": 0 }, "preferences": { "font_size": 12, "font_type": "bold", "font": "Times", "color": "black", "background": "black", "align": "left", "valign": "center", "format": "DD/MM/YYYY", "price": 99.99, "currency": "USD", "mask": false, "reasons": [ "string" ] } } ], "roles": [ "string" ] } ], "message": { "subject": "subject", "body": "body" }, "merge_documents": false } '
shell
Example Request Body
{ "name": "Test Submission Document", "send_email": true, "send_sms": false, "order": "preserved", "completed_redirect_url": "completed_redirect_url", "bcc_completed": "bcc_completed", "reply_to": "reply_to", "expire_at": "2024-09-01 12:00:00 UTC", "template_ids": [ 0 ], "documents": [ { "name": "Test Document", "html": "<p>Lorem Ipsum is simply dummy text of the\n<text-field\n name=\"Industry\"\n role=\"First Party\"\n required=\"false\"\n style=\"width: 80px; height: 16px; display: inline-block; margin-bottom: -4px\">\n</text-field>\nand typesetting industry</p>\n", "html_header": "html_header", "html_footer": "html_footer", "size": "Letter", "position": 0 } ], "submitters": [ { "name": "name", "role": "First Party", "email": "john.doe@example.com", "phone": "+1234567890", "values": {}, "external_id": "external_id", "completed": true, "metadata": "{ \"customField\": \"value\" }", "send_email": true, "send_sms": false, "reply_to": "reply_to", "completed_redirect_url": "completed_redirect_url", "logo_url": "https://example.com/logo.png", "company_name": "Acme Inc.", "stamp_url": "https://example.com/stamp.png", "order": 0, "require_phone_2fa": false, "require_email_2fa": false, "invite_by": "invite_by", "fields": [ { "name": "First Name", "default_value": "Acme", "readonly": false, "required": true, "title": "title", "description": "description", "validation": { "pattern": "[A-Z]{4}", "message": "message", "min": 0, "max": 0, "step": 0 }, "preferences": { "font_size": 12, "font_type": "bold", "font": "Times", "color": "black", "background": "black", "align": "left", "valign": "center", "format": "DD/MM/YYYY", "price": 99.99, "currency": "USD", "mask": false, "reasons": [ "string" ] } } ], "roles": [ "string" ] } ], "message": { "subject": "subject", "body": "body" }, "merge_documents": false }
json
Example Responses
{ "id": 5, "name": "Test Submission", "submitters": [ { "id": 1, "uuid": "884d545b-3396-49f1-8c07-05b8b2a78755", "email": "john.doe@example.com", "slug": "pAMimKcyrLjqVt", "sent_at": "2025-06-02T15:55:51.310Z", "opened_at": null, "completed_at": null, "declined_at": null, "created_at": "2025-06-02T15:55:50.320Z", "updated_at": "2025-06-02T15:55:50.320Z", "name": "string", "phone": "+1234567890", "external_id": "2321", "metadata": { "customData": "custom value" }, "status": "sent", "values": [ { "field": "Full Name", "value": "John Doe" } ], "preferences": { "send_email": true, "send_sms": false, "reply_to": "reply@example.com", "completed_redirect_url": "https://example.com/" }, "role": "First Party", "embed_src": "https://sealroute.com/s/pAMimKcyrLjqVt" } ], "source": "api", "submitters_order": "preserved", "status": "pending", "schema": [ { "name": "Demo PDF", "attachment_uuid": "48d2998f-266b-47e4-beb2-250ab7ccebdf" } ], "fields": [ { "name": "Name", "type": "text", "required": true, "uuid": "d0bf3c0c-1928-40c8-80f9-d9f3c6ad4eff", "submitter_uuid": "0b0bff58-bc9a-475d-b4a9-2f3e5323faf7", "areas": [ { "page": 1, "attachment_uuid": "48d2998f-266b-47e4-beb2-250ab7ccebdf", "x": 0.403158189124654, "y": 0.04211750189825361, "w": 0.100684625476058, "h": 0.01423690205011389 } ] } ], "expire_at": null, "created_at": "2025-06-02T15:55:50.270Z" }
json
application/json

Submitters